#!/bin/bash
set -e
cd -- "$(dirname "$0")"
PATH+=:$PWD/app
[ -d mp3 ] || mkdir -v mp3
for infile in ./downloaded/*.*; do
    infileext=${infile##*.}
    infileext_lower=$(echo "$infile" | tr '[:upper:]' '[:lower:]')
    [ "$infileext_lower" == "part" ] && continue
    if [ "$infileext_lower" == "mp3" ]; then
        cp -v "$infile" mp3/"${infile##*/}"
        continue
    fi
    infilebase=${infile##*/}
    infilebase=${infilebase%%.*}
    outfile="mp3/$infilebase.mp3"
    [ -e "$outfile" ] && continue
    ffmpeg -loglevel error -i "$infile" "$outfile"
    echo "$outfile"
done
